> For the complete documentation index, see [llms.txt](https://docs.pliro.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pliro.co/api/authentication.md).

# Authentication

Pliro uses API keys to authenticate requests. You can view and manage your API keys in the Pliro Dashboard.

{% hint style="warning" %}
Your API keys grant full access to your publication's data within Pliro, so be careful not to expose your keys publicly on GitHub or in client-side code. If you believe one of your API keys might have been exposed, you can revoke it and create a new one in Pliro Dashboard.
{% endhint %}

Authentication is performed using [HTTP Basic auth](http://en.wikipedia.org/wiki/Basic_access_authentication). Provide your API key as the Basic auth username value. You don't need to provide a password:

```sh
curl -u "$PLIRO_API_KEY:" $PLIRO_API_BASE_URL/2023-04-11/customers
```

All API requests must be made over [HTTPS](https://en.wikipedia.org/wiki/HTTPS). Requests made over plain HTTP will fail. Requests without authentication will also fail.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pliro.co/api/authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
